      subroutine rho_eos (tile)      


      use Agrif_Util
#include "Param_BeforeCall_rho_eos.h"
      integer(4) :: tile
      

        call Sub_Loop_rho_eos(tile, Agrif_tabvars_i(15)%iarray0, Agrif_t
     &abvars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)
     &%iarray0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_rho_eos.h"
      subroutine rho_eos_tile (Istr,Iend,Jstr,Jend, K_up,K_dw)      


      use Agrif_Util
#include "Param_BeforeCall_rho_eos_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,0:N) :: K_up
      real, dimension(Istr-2:Iend+2,0:N) :: K_dw
      

        call Sub_Loop_rho_eos_tile(Istr,Iend,Jstr,Jend,K_up,K_dw, Agrif_
     &tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i
     &(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(161)%array
     &2, Agrif_tabvars(160)%array2, Agrif_tabvars(143)%array3, Agrif_tab
     &vars(122)%array3, Agrif_tabvars(139)%array3, Agrif_tabvars(142)%ar
     &ray3, Agrif_tabvars(146)%array3, Agrif_tabvars(138)%array3, Agrif_
     &tabvars(81)%array2, Agrif_tabvars(140)%array3, Agrif_tabvars_i(154
     &)%iarray0, Agrif_tabvars(148)%array5, Agrif_tabvars_r(12)%array0, 
     &Agrif_tabvars_l(13)%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_tab
     &vars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_i(7
     &)%iarray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_rho_eos_tile.h"
